#
# spec file for package python-pysendfile
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define mod_name pysendfile

Name:           python-pysendfile
Version:        2.0.1
Release:        lp152.3.4
Summary:        A Python interface to sendfile(2)
License:        MIT
Group:          Development/Languages/Python
Url:            http://code.google.com/p/pysendfile/
Source:         https://files.pythonhosted.org/packages/source/p/pysendfile/pysendfile-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
A python interface to sendfile(2) system call.

%prep
%setup -q -n %{mod_name}-%{version}

%build
export CFLAGS="%{optflags}"
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/*

%changelog
* Fri Aug 11 2017 tbechtold@suse.com
- convert to singlespec
* Thu Oct  2 2014 p.drouand@gmail.com
- Use tarball from pypi as source
* Fri Sep 12 2014 dmueller@suse.com
- update to 2.0.1:
  - #20: host tarball on PYPI
  - #21: project migrated from google code to github
  - #21: project migrated from SVN to GIT
  - #22: pysendfile won't compile on python 3.4
  - #23: add a Makefile
  - #24: use of travis continuous integration
  - #25: use tox for multiple python versions testing
* Sat Apr 13 2013 toddrme2178@gmail.com
- Remove pre_checkin.sh since the two packages are not the same
* Mon Jan 21 2013 p.drouand@gmail.com
- Add python3 support
* Thu Nov  8 2012 saschpe@suse.de
- Initial version
